### Method

# Ide EditorSearch get_regex_enabled

#### Declaration

    gboolean
    ide_editor_search_get_regex_enabled (
      IdeEditorSearch* self
    )

#### Description

Gets the `IdeEditorSearch:regex-enabled` property. This is true if the search text can contain regular expressions supported by `GRegex`.

Available since: | 3.32

Gets property | `Ide.EditorSearch:regex-enabled`

#### Return value

Returns: | `gboolean`
| `TRUE` if search text can use regex.